import { exec } from 'child_process';
export default async function installDependencies(directory) {
    return new Promise((resolve, reject) => {
        exec('npm install', {
            cwd: directory,
        }, (error, stdout, stderr) => {
            if (error) {
                return reject(error);
            }
            resolve(stdout ? stdout : stderr);
        });
    });
}
